Subject: [BugDB] DirectoryIndex/Indexes with Client Auth (PR#658)

From: [email-masked]
Date: Thu, 10 Jan 2002 16:37:07 +0100 (MET)

Full_Name: Peter Pramberger
Version: 2.8.4/2.8.5
OS: Linux
Submission from: (NULL) (212.95.31.57)

Sorry if this has been referenced elsewhere, I could find no mention of it.

When I configure the following ssl virtual host, entering the following urls
work fine - I get the index.html and the directory listing after entering
username and password:

   https://servername/
   https://servername/subdir-without-index.html/

#### part of httpd.conf ####
DirectoryIndex index.html

<VirtualHost _default_:443>
   ServerName xxx
   ...
   <Location />
      AuthType Basic
      AuthName xxx
      AuthUserFile /...
      require valid-user
   </Location>
   <Directory "/...">
      Options +Indexes +FollowSymLinks
   </Directory>
</VirtualHost>
#### end ####

As soon as I add client authentication, I always get error 403 (Forbidden).
No directory listing or index page anymore - I have to enter the full url
(with filename).

#### part of httpd.conf ####
DirectoryIndex index.html

<VirtualHost _default_:443>
   ServerName xxx
   ...
   SSLCACertificateFile "/..."
   SSLVerifyClient require
   SSLVerifyDepth 1
   SSLOptions +FakeBasicAuth +OptRenegotiate +StdEnvVars
   <Location />
      AuthType Basic
      AuthName xxx
      AuthUserFile /...
      require valid-user
   </Location>
   <Directory "/...">
      Options +Indexes +FollowSymLinks
   </Directory>
</VirtualHost>
#### end ####

The auth config is definitive _not_ the problem, it works as expected. There
are also no entries in the error log, only in the access log. I have tried a
lot of combinations (Options, SSLOptions, Directory directives, Location di-
rectives) - no success. Apache config is nearly default. SSL config is also
default (only SSLSessionCache -> shmht/shmcb).

Software: Apache 1.3.20, 1.3.22 (DSO!)
          OpenSSL 0.9.6b
          mod_ssl 2.8.4, 2.8.5
          Linux 2.4.9 + 2.4.17

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]